# Multimodal weakly supervised learning to identify disease-specific changes in single-cell atlases.

[![Tests][badge-tests]][link-tests]
[![Documentation][badge-docs]][link-docs]

[badge-tests]: https://img.shields.io/github/actions/workflow/status/theislab/multimil/test.yaml?branch=main
[link-tests]: https://github.com/theislab/multimil/actions/workflows/test.yml
[badge-docs]: https://img.shields.io/readthedocs/multimil

---

**NOTE**

This repository is WIP. Tutorials, documentation and code updates are coming in the next few weeks.

---

## Getting started

Please refer to the [documentation][link-docs]. In particular, the

-   [API documentation][link-api].

## Installation

You need to have Python 3.10 or newer installed on your system. If you don't have
Python installed, we recommend installing [Mambaforge](https://github.com/conda-forge/miniforge#mambaforge).

There are several alternative options to install multimil:

<!--
1) Install the latest release of `multimil` from [PyPI][link-pypi]:

```bash
pip install multimil
```
-->

1. Install the latest development version:

```bash
pip install git+https://github.com/theislab/multimil.git@main
```

## Release notes

See the [changelog][changelog].

## Contact

For questions and help requests, you can reach out in the [scverse discourse][scverse-discourse].
If you found a bug, please use the [issue tracker][issue-tracker].

## Citation

> t.b.a

## Reproducibility

Code and notebooks to reproduce the results from the paper are available at https://github.com/theislab/multimil_reproducibility.

[scverse-discourse]: https://discourse.scverse.org/
[issue-tracker]: https://github.com/theislab/multimil/issues
[changelog]: https://multimil.readthedocs.io/latest/changelog.html
[link-docs]: https://multimil.readthedocs.io
[link-api]: https://multimil.readthedocs.io/latest/api.html
[link-pypi]: https://pypi.org/project/multimil
